Subject: Re: 23.1; emacsclient -t leaves terminal in an odd state if daemon not started

From: Philip Armstrong <[email-masked]>
Date: Sat, 5 Dec 2009 23:08:14 +0000

On Sat, Dec 05, 2009 at 04:16:45PM -0500, Chong Yidong wrote:
>> If I start emacsclient like, without the emacs deamon already running:
>>
>> $ emacsclient -t
>> or
>> $ emacsclient -t <filename>
>>
>> and then press pagedown, emacs inserts the string "6~" into the buffer
>> at point.
>
>If there is no server present, you should get an error message like
>this:
>
>  emacsclient: can't find socket; have you started the server?
>  To start the server in Emacs, type "M-x server-start".
>  emacsclient: No socket or alternate editor.  Please use:
>
>        --socket-name
>        --server-file      (or environment variable EMACS_SERVER_FILE)
>        --alternate-editor (or environment variable ALTERNATE_EDITOR)
>
>Please provide a self-contained recipe for reproducing this bug.

I've set ALTERNATE_EDITOR to "", so emacsclient starts the server
automatically if it's not already running & then connects to it once
started.

Phil

-- 
http://www.kantaka.co.uk/ .oOo. public key: http://www.kantaka.co.uk/gpg.txt